=== modified file 'bzrlib/tests/per_workingtree/test_readonly.py'
--- bzrlib/tests/per_workingtree/test_readonly.py	2011-05-08 13:07:11 +0000
+++ bzrlib/tests/per_workingtree/test_readonly.py	2011-08-31 22:52:43 +0000
@@ -26,6 +26,8 @@
     )
 from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
+from bzrlib.workingtree import InventoryWorkingTree
+
 
 class TestReadonly(TestCaseWithWorkingTree):
 
@@ -77,6 +79,8 @@
         """Even if the tree is unclean, we should still handle readonly dirs."""
         # First create a tree
         tree = self.create_basic_tree()
+        if not isinstance(tree, InventoryWorkingTree):
+            raise tests.TestNotApplicable("requires inventory working tree")
 
         # XXX: *Ugly* *ugly* hack, we need the hashcache to think it is out of
         # date, but we don't want to actually wait 3 seconds doing nothing.

=== modified file 'bzrlib/tests/per_workingtree/test_workingtree.py'
--- bzrlib/tests/per_workingtree/test_workingtree.py	2011-08-17 15:38:20 +0000
+++ bzrlib/tests/per_workingtree/test_workingtree.py	2011-08-31 22:52:43 +0000
@@ -940,6 +940,9 @@
             case_sensitive = True
         tree = self.make_branch_and_tree('test')
         self.assertEqual(case_sensitive, tree.case_sensitive)
+        if not isinstance(tree, InventoryWorkingTree):
+            raise TestNotApplicable("get_format_string is only available "
+                                    "on bzr working trees")
         # now we cheat, and make a file that matches the case-sensitive name
         t = tree.bzrdir.get_workingtree_transport(None)
         try:

